# to be run at 12:00, starting a new night PV voltage recording etc.
for F in $1.txt
 do
   FN=${F/.txt/}
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt


    
BegR=`sed -rn '1{s/([-0-9Aug:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
echo $BegR
EndR=`sed -rn '${s/([-0-9Aug:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
echo $EndR
if [[ $BegR != $EndR ]] 
then 
 IncR=`calc -d "display(3); ($BegR - $EndR)/3.48" | sed -n '${s/[[:blank:]]*/ /p}'`
else 
 IncR=0 
fi


# works just for new .gnp since Aug 16, 2006
if [ -a ${F/\.txt/_m.gnp} ] 
then
 cp ${F/\.txt/_m.gnp} /tmp/night_bas_m.gnp
else
 sed "1{i\
  Beg=$BegR
  }" night_bas_m.gnp >/tmp/night_bas_m.gnp
fi

LC_TIME=C

DN=`date "+%A %Y-%m-%d" -d $FN`

sed -r "
/set out/{s/(night|[0-9]{6})_m\.png/night_lgm.png/} 
s/from a PV panel.*([\"'])$/ending at $DN noon\1/
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
s/'night.txt'/'$F'/ 
s/'apdata.txt'/'${FN}_m.txt'/ 
" \
 /tmp/night_bas_m.gnp >/tmp/night_lgm.gnp

gnuplot /tmp/night_lgm.gnp

mv night_lgm.png ${FN}_m.png



 done
