# to be run at 12:00, starting a new night PV voltage recording etc.
for F in $1.txt
 do
   FN=${F/.txt/}
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt


# works just for new .gnp since Aug 16, 2006
if [ -a ${F/\.txt/_m.gnp} ] 
then
 cp ${F/\.txt/_m.gnp} /tmp/night_bas_ms.gnp
else
 BegR=`sed -rn '1{s/([-0-9Aug:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
  sed "1{i\
  Beg=$BegR
  }" night_bas_ms.gnp >/tmp/night_bas_ms.gnp
fi

LC_TIME=C

DN=`date "+%a %b %d" -d $FN`

sed -r "/set size/{s/1.8/0.7/}
/set out/{s/(night|[0-9]{6})_ms\.png/night_ms.png/} 
 s/ Kravi hora, Brno,//
 s/from a PV panel.*\'/until $DN noon\'/
 s/and vice versa//
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
s/'night.txt'/'$F'/ 
s/'apdata.txt'/'${FN}_m.txt'/ 
" \
 /tmp/night_bas_ms.gnp >/tmp/night_ms.gnp

gnuplot /tmp/night_ms.gnp

mv night_ms.png small/${FN}_m.png



 done
